%define module	XML-Sablotron
%define	name	perl-%{module}
%define version 1.01
%define release %mkrel 4

Summary:	Sablotron XSLT processor encapsulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
Requires:	libsablotron >= 0.95
BuildRequires:	expat-devel
BuildRequires:	libsablotron-devel >= 0.95
BuildRequires:	perl-devel 
BuildRequires:	libjs-devel
Requires:	perl 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The %{module} perl module encapsulates the Sablotron XSLT processor.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall_std}

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
%{_mandir}/*/*


%changelog
* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-4mdv2007.0
+ Revision: 108395
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-Sablotron



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.01-3mdk
- Rebuild

* Fri May 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.01-2mdk
- add BuildRequires: libjs-devel

* Fri May 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.98-6mdk
- disable test

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-5mdk
- rebuild for new perl

* Sat May 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.98-4mdk
- rebuilt against new libsablotron
- msff

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98-3mdk
- own dir
- rebuild

* Fri Sep 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98-2mdk
- fix deps

* Thu Aug 21 2003 François Pons <fpons@mandrakesoft.com> 0.98-1mdk
- 0.98.

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.97-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%make macro
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.97-2mdk
- rebuild for new auto{prov,req}

* Thu Feb 13 2003 François Pons <fpons@mandrakesoft.com> 0.97-1mdk
- 0.97.

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-6mdk
- better summary and description
- fix spec permissions

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.95-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 0.95-4mdk
- rebuild for perl thread-multi

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.95-3mdk
- Automated rebuild with gcc3.2

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.95-2mdk
- rebuild with new perl 5.8.0.
- install in vendor_perl.

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.95-1mdk
- new sablotron 0.95.

* Tue May 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.90-2mdk
- rebuild with gcc 3.1.

* Wed Apr 03 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.90-1mdk
- removed filelist.
- 0.90
- Build against Sablotron 0.90.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.80-1mdk
- 0.80
- Sablotron 0.82.

* Wed Nov 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.71-1mdk
- 0.71.

* Wed Nov 07 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.65-3mdk
- Change permissions for docs.

* Wed Nov  7 2001 Stefan van der Eijk <stefan@eijk.nu> 0.65-2mdk
- BuildRequires: expat-devel
- not a noarch package (rpmlint)

* Tue Nov 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.65-1mdk
- First RPM
